<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusImportExportPlugin\Application\src\Exporter;

use DateTime;
use Dedi\SyliusImportExportPlugin\Exporter\DefaultExporter;
use Dedi\SyliusImportExportPlugin\Exporter\GridAwareExporterInterface;

class DummyExporter extends DefaultExporter implements GridAwareExporterInterface
{
    public function getIdentifier(): string
    {
        return 'dummy';
    }

    public function getFilename(): string
    {
        return 'dummy-export-' . (new DateTime())->format('Y-m-d');
    }

    public function getLabel(): string
    {
        return 'Dummy export';
    }

    public function getGridCode(): string
    {
        return 'sylius_admin_product';
    }
}
